package com.zy.omp.controller.wx;

import com.zy.omp.common.ServerResponse;
import com.zy.omp.common.controller.BaseController;
import com.zy.omp.service.DeviceInfoStateService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备 Controller
 *
 * @author yang xiao kun
 * create on 2021/10/18
 */
@RestController
@RequestMapping("omp/api/wx/device")
public class DeviceController extends BaseController {

    @Resource
    private DeviceInfoStateService deviceInfoStateService;

    /**
     * 查询用户的所有设备
     */
    @GetMapping("getListByOpenId.do")
    public ServerResponse listByUserId() {
        return ServerResponse.createBySuccess(deviceInfoStateService.listByUserId(getOpenId()));
    }
}
